//<viewToolMentor.inc>

/*
    IBMPractices/SE View Tool Mentor for Document
    
    Version: 2.0
    Author:  GSR
*/

/*
    CHANGE LOG
    
    When        Who     What
    --------------------------------------------------------------------------------------------------
    20110708    AF	Updated IBMPractice version
    20081020    GSR	Updated for v2.2 release
    20080918	GSR	Updated ESW version to work for SE	
    20070914	BW	Updated GUID attribute name
    20070711	BW	Converted from OpenUP to IBMPractices/ESW (new version: 1.1)
    20070625    RJH     Refactored & reorganised code.
*/

//////////////////////////////////////
// Pragmas
pragma runLim, 0
#include <project/IBMPractices/IBMPracticesglobals.inc>


//////////////////////////////////////
// Local declarations / initialisation

Module currMod = current

string projectName       = name (current Project)
string confFileName      = projectName "_Process_Website" strEmpty
string processWebsiteURL = strEmpty
string toolMentorGUID    = currMod."Tool Mentor ID"


//////////////////////////////////////
// Auxiliary Functions

void viewToolMentorForProject()
{
	if (confFileExists (confFileName, confSystem))
	{
		ConfStream inp = confRead (confFileName, confSystem)
		inp >> processWebsiteURL
		close inp
		
		processWebsiteURL = processWebsiteURL toolMentorGUID strEmpty
		

		activateURL(processWebsiteURL)
	}
	else
	{
		errorBox "No Process Website has been set for the " projectName " Project."
	}
}


//////////////////////////////////////
// Main Program
          
viewToolMentorForProject()