//<about.inc>

/*
    About DOORS IBMPractices/SE Support
    
    Version: 1.4
    Updated: Geoffrey Rosenthal
    Author:  Ben Williams
*/

/*
    CHANGE LOG
    
    When        Who     What
    --------------------------------------------------------------------------------------------------
    20080918    GSR     Modified for use with IBMPractices/SE (new version 1.3)
    20070914	BW	Changed bitmap pane size, new version 1.2
    20070711	BW	Converted from OpenUP to IBMPractices/ESW (new version: 1.1)
    20070621    RJH     Abstracted version-specific information to variables for ease of maintenance.
    20070924	AF	Changed bitmap pane size
*/

//////////////////////////////////////
// Pragmas

pragma runLim, 0
#include <project/IBMPractices/IBMPracticesglobals.inc>


//////////////////////////////////////
// DB/DBE Callbacks
void doDrawing (DBE art)
{
    bitmap(art, aboutLogoPath, 0, 0)
}


//////////////////////////////////////
// Main Program

DB  aboutBox    = create ("About DOORS IBMPractices Support v" strVersion, styleCentered|styleFixed|styleFloating)
DBE artCanvas   = canvas (aboutBox, 260, 220, doDrawing) 
DBE nameBox     = text   (aboutBox, strEmpty, "The Rational IBM Practices Utility is a set of tools to support the use of the Rational IBM Practices within Rational DOORS.\n\n(C) Copyright IBM Corp. 1987, 2006-2012 All Rights Reserved\n", 250, 150, true)

show aboutBox